# Class Jre22Compat

java.lang.Object
org.apache.tomcat.util.compat.JreCompat
org.apache.tomcat.util.compat.Jre12Compat
org.apache.tomcat.util.compat.Jre19Compat
org.apache.tomcat.util.compat.Jre20Compat
org.apache.tomcat.util.compat.Jre21Compat
org.apache.tomcat.util.compat.Jre22Compat

public class Jre22Compat extends Jre21Compat

## Field Summary

### Fields inherited from class JreCompat

`canonCachesDisabled, canonCachesDisabledLock, USE_CANON_CACHES_CMD_ARG, useCanonCachesField, useCanonCachesFieldLock`

## Constructor Summary

Constructors
Constructor
Description
`Jre22Compat()`

## Method Summary

Modifier and Type
Method
Description
`SocketAddress`
`getUnixDomainSocketAddress(String path)`
Return Unix domain socket address for given path.
`ServerSocketChannel`
`openUnixDomainServerSocketChannel()`
Create server socket channel using the Unix domain socket ProtocolFamily.
`SocketChannel`
`openUnixDomainSocketChannel()`
Create socket channel using the Unix domain socket ProtocolFamily.

### Methods inherited from class Jre21Compat

`callAs, createVirtualThreadBuilder, disableCanonCaches, isCanonCachesDisabled, threadBuilderStart`

### Methods inherited from class Jre20Compat

`setNamedGroupsMethod`

### Methods inherited from class Jre19Compat

`getExecutor`

### Methods inherited from class Jre12Compat

`ensureUseCanonCachesFieldIsPopulated`

### Methods inherited from class JreCompat

`getInstance, isGraalAvailable, isJre12Available, isJre16Available, isJre19Available, isJre20Available, isJre21Available, isJre22Available`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Jre22Compat

public Jre22Compat()

## Method Details

### getUnixDomainSocketAddress

public SocketAddress getUnixDomainSocketAddress(String path)
Description copied from class: `JreCompat`
Return Unix domain socket address for given path.

Overrides:
  `getUnixDomainSocketAddress` in class `JreCompat`
Parameters:
  `path` - The path
Returns:
  the socket address

### openUnixDomainServerSocketChannel

public ServerSocketChannel openUnixDomainServerSocketChannel()
Description copied from class: `JreCompat`
Create server socket channel using the Unix domain socket ProtocolFamily.

Overrides:
  `openUnixDomainServerSocketChannel` in class `JreCompat`
Returns:
  the server socket channel

### openUnixDomainSocketChannel

public SocketChannel openUnixDomainSocketChannel()
Description copied from class: `JreCompat`
Create socket channel using the Unix domain socket ProtocolFamily.

Overrides:
  `openUnixDomainSocketChannel` in class `JreCompat`
Returns:
  the socket channel